INTR(8)

NAME
intr - run a command with interrupts enabled

SYNOPSIS
intr [-d] [-t seconds] command [arg...]

DESCRIPTION
Intr executes a command with keyboard interrupts enabled, and standard input, output and error redirected to the terminal or the console. It may also be used for the opposite: to detach a process from the terminal.

There are three situations where intr may be used: From a process that has no controlling tty, like the shell running /etc/rc at boot time, from a script that runs in the background, or by the System Administrator to restart a daemon.

In the first case intr will use /dev/console as a controlling tty and as standard input, output and error. In the second case intr will use /dev/tty to connect the command to the controlling tty. In the third case the process will be removed from the process group, and will have I/O redirected to /dev/null as input, and /dev/log for output.

OPTIONS

-d  Daemonize a process instead of bringing it to the foreground. Don't forget to use '&' to make the shell not wait for the process, because you won't be able to kill it with the interrupt key.

-t seconds
    Schedule an alarm to kill the process in the given number of seconds. Use it for a process that may wait indefinitely for a service that may not be available.

FILES

/dev/console
    Main computer console.

/dev/log
    Message logging device.

/dev/tty
    Name for the controlling tty.

SEE ALSO
boot(8), tty(4), setsid(2), alarm(2).

BUGS
Maybe intr -d should fork to daemonize a process, but the author likes it if the process stays in the jobs list of his shell.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)